chrome.runtime.onInstalled.addListener(() => {
  // Generate a unique ID with less than 12 alpha-numeric characters
  const uniqueId = Math.random().toString(36).substr(2, 12);
  
  // Store the unique ID in chrome.storage
  chrome.storage.local.set({ uniqueId }, () => {
    console.log('Unique ID generated and stored:', uniqueId);
  });
});

chrome.action.onClicked.addListener((tab) => {
  const amazonRegex = /^https:\/\/www\.amazon\.(com|ca|co\.uk|co\.jp|com\.au|com\.br|de|fr|it|in|sg|ae|nl|se|pl|sa|es|com\.mx)/;
  if (!amazonRegex.test(tab.url)) {
    alert("This Extension is exclusively for Amazon");
  }
});
