chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
  if (request.action === "extractKeywords") {
    const keywords = [];
    const suggestions = document.querySelectorAll('#nav-flyout-searchAjax .s-suggestion');

    suggestions.forEach(suggestion => {
      const keyword = suggestion.getAttribute('aria-label');
      if (keyword && !keywords.includes(keyword)) {
        keywords.push(keyword);
      }
    });

    sendResponse({ keywords: keywords });
  }
});
